import { createSvgIcon } from "@mui/material/utils";

const OKIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33649)">
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M13.3329 5.05591C18.2664 1.75947 24.0666 0 30 0C37.9537 0.00926306 45.5789 3.17294 51.203 8.79703C56.8271 14.4211 59.9907 22.0463 60 30C60 35.9334 58.2405 41.7336 54.9441 46.6671C51.6476 51.6006 46.9623 55.4458 41.4805 57.7164C35.9987 59.987 29.9667 60.5811 24.1473 59.4236C18.3279 58.266 12.9824 55.4088 8.78679 51.2132C4.59122 47.0176 1.734 41.6721 0.576439 35.8527C-0.581118 30.0333 0.0129823 24.0013 2.28361 18.5195C4.55424 13.0377 8.39941 8.35235 13.3329 5.05591ZM29.5129 43.3601L47.0129 19.6101L47.0254 19.6076C47.4189 19.0738 47.5843 18.4056 47.4851 17.7499C47.3859 17.0943 47.0304 16.5048 46.4966 16.1113C45.9629 15.7178 45.2947 15.5524 44.639 15.6516C43.9833 15.7508 43.3939 16.1063 43.0004 16.6401L27.0304 38.3001L16.5629 29.9251C16.3072 29.7144 16.0123 29.5567 15.6952 29.461C15.378 29.3654 15.0451 29.3337 14.7156 29.3678C14.3861 29.4019 14.0667 29.5012 13.7759 29.6598C13.4851 29.8185 13.2288 30.0333 13.0217 30.2919C12.8147 30.5504 12.6611 30.8475 12.5698 31.166C12.4786 31.4844 12.4516 31.8178 12.4903 32.1468C12.529 32.4757 12.6327 32.7937 12.7954 33.0823C12.9581 33.3708 13.1765 33.6242 13.4379 33.8276L25.9379 43.8276C26.2024 44.0338 26.5053 44.1854 26.829 44.2736C27.1526 44.3617 27.4905 44.3848 27.8231 44.3413C28.1557 44.2978 28.4764 44.1886 28.7664 44.0202C29.0565 43.8518 29.3102 43.6274 29.5129 43.3601Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33649">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "OK"
);

export default OKIcon;
